/* File:                $RCSfile: ViewerProxyApplication.java,v $
 * Revision:            $Revision: 1.12 $
 * Author:              $Author: kfc $
 * Date:                $Date: 2007/02/28 16:16:23 $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package dk.netarkivet.viewerproxy;

import dk.netarkivet.common.utils.ApplicationUtils;

/**
 * This class is used to start the ViewerProxy application. This starts
 * a GUI which can be used to browse the archive.
 *
 */
public class ViewerProxyApplication {
   /**
    * Runs the ViewerProxyApplication. Settings are read from
    * config files
    *
    * @param args an empty array
    */
   public static void main(String[] args) {
       ApplicationUtils.startApp(ViewerProxy.class, args);
   }
}
