/*$RCSfile: TestInfo.java,v $
* $Revision: 1.5 $
* $Date: 2007/03/09 13:13:18 $
* $Author: kfc $
*
* The Netarchive Suite - Software to harvest and preserve websites
* Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
package dk.netarkivet.archive.bitarchive;

import java.io.File;
import java.util.List;

import dk.netarkivet.common.distribute.ChannelID;
import dk.netarkivet.common.distribute.Channels;
import static dk.netarkivet.testutils.CollectionUtils.list;

/**
 * Created by IntelliJ IDEA.
 * User: csr
 * Date: Mar 4, 2005
 * Time: 2:02:43 PM
 * To change this template use File | Settings | File Templates.
 */
public class TestInfo {
    static final File ARCHIVE_DIR =
            new File("tests/dk/netarkivet/archive/bitarchive/data/batch/working/");
    static final File ORIGINALS_DIR =
            new File("tests/dk/netarkivet/archive/bitarchive/data/batch/originals/");

    static final File LOGFILE = new File("tests/testlogs", "netarkivtest.log");
    static final File TESTLOGPROP = new File("tests/dk/netarkivet/testlog.prop");
    static final File BATCH_OUTPUT_FILE = new File(ARCHIVE_DIR, "batch_output.log");

    static List<String> arcFiles = list("Upload3.ARC", "fyensdk.arc",
            "Upload1.ARC", "Upload2.ARC");
    static int ARCHIVE_SIZE = arcFiles.size();
    static String baAppId = "bitArchiveApp_1";

    static ChannelID QUEUE_1 = Channels.getAnyBa();
    static ChannelID QUEUE_2 = Channels.getError();

    static String PREFIX = "hello world";
    static final File ARCFILE = new File("tests/dk/netarkivet/archive/bitarchive/data/batch/originals/fyensdk.arc");
}
