package dk.netarkivet.testutils.preconfigured;

import dk.netarkivet.common.distribute.JMSConnection;
import dk.netarkivet.common.distribute.JMSConnectionTestMQ;
import dk.netarkivet.common.utils.Settings;

public class MockupJMS implements TestConfigurationIF {
    private String originalVendor;

    public void setUp() {
        originalVendor = Settings.get(Settings.JMS_BROKER_VENDOR);
        Settings.set(Settings.JMS_BROKER_VENDOR, "TestMQ");
        JMSConnection.getInstance().cleanup();
        JMSConnectionTestMQ.clearTestQueues();
    }

    public void tearDown() {
        JMSConnectionTestMQ.clearTestQueues();
        JMSConnection.getInstance().cleanup();
        Settings.set(Settings.JMS_BROKER_VENDOR,originalVendor);
    }

}
