/* File:        $RCSfile: Constants.java,v $
 * Revision:    $Revision: 1.5 $
 * Author:      $Author: kfc $
 * Date:        $Date: 2007/06/18 08:53:34 $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package dk.netarkivet.deploy;

/**
 * Shared constants for deploy package.
 *
 */
public class Constants {
    /** The name of the file that JMX reads passwords from */
    static final String JMX_PASSWORD_FILENAME = "jmxremote.password";
    static final String FTP_SERVICE_NAME = "ftp";
    static final String JMS_SERVICE_NAME = "jms";
    static final String MAIL_SERVICE_NAME = "mail";
    static final String JMXPORT_PROPERTY = "jmxport";
    static final String JMS_VENDOR_PROPERTY = "vendor";
    static final String FTP_USER_PROPERTY = "user";
    static final String FTP_PASSWORD_PROPERTY = "pw";
    static final String MAIL_RECEIVER_PROPERTY = "receiver";
    static final String MAIL_SENDER_PROPERTY = "sender";
    static final String BITARCHIVE_HOST_TYPE = "bitarchive";
    static final String BITARCHIVE_FILEDIR_PROPERTY = "filedir";
    static final String HTTPFILETRANSFERPORT_PROPERTY = "remotefilePort";
}
