/* File:                $RCSfile: HarvestDefinitionApplication.java,v $
 * Revision:            $Revision: 1.6 $
 * Author:              $Author: lc $
 * Date:                $Date: 2007/05/22 09:06:34 $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package dk.netarkivet.harvester.webinterface;

import dk.netarkivet.common.utils.ApplicationUtils;

/**
 * This class is used to start the GUI web applications and the scheduler in
 * the same Java VM.
 *
 * @see HarvestDefinitionGUI
 */
public class HarvestDefinitionApplication {
   /**
    * Runs the HarvestDefinitionApplication. Settings are read from
    * config files
    *
    * @param args an empty array
    */
   public static void main(String[] args) {
       ApplicationUtils.startApp(HarvestDefinitionGUI.class, args);
   }
}
