<%--
File:       $RCSfile: index.jsp,v $
Revision:   $Revision: 1.9 $
Author:     $Author: kfc $
Date:       $Date: 2007/05/11 06:42:17 $

The Netarchive Suite - Software to harvest and preserve websites
Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

--%><%@ page import="dk.netarkivet.common.Constants,
                     dk.netarkivet.common.utils.I18n,
                     dk.netarkivet.common.webinterface.HTMLUtils"
    pageEncoding="UTF-8"
%><%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"
%><fmt:setLocale value="<%=HTMLUtils.getLocale(request)%>" scope="page"
/><fmt:setBundle scope="page" basename="<%=Constants.TRANSLATIONS_BUNDLE%>"/><%!
    private static final I18n I18N = new dk.netarkivet.common.utils.I18n(
            Constants.TRANSLATIONS_BUNDLE);
%><%
    HTMLUtils.generateHeader(I18N.getString(response.getLocale(), "pagetitle;mainmenu"), pageContext);
%>
    <img src="transparent_logo.png" width="780" border="0" height="126"
         usemap="#netarkivet_top_logoerb7e0b07c"  alt="<fmt:message key="netarchive.suite"/>"/>
    <map name="netarkivet_top_logoerb7e0b07c"
         id="netarkivet_top_logoerb7e0b07c">
        <area shape="rect" coords="675,92,770,123"
              href="http://www.kb.dk/" target="_blank" alt="KB">
        <area shape="rect" coords="563,92,663,123"
              href="http://www.statsbiblioteket.dk/" target="_blank" alt="SB">
        <area shape="rect" coords="0,0,430,86"
              href="http://www.netarkivet.dk/" target="_blank" alt="Netarkivet">
    </map>
<%
    HTMLUtils.generateFooter(out);
%>